> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysoma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete provider

> Delete a provider instance by its unique identifier



## OpenAPI

````yaml api-reference/openapi.json delete /api/bridge/v1/provider/{provider_instance_id}
openapi: 3.1.0
info:
  title: soma
  version: v1
servers: []
security: []
tags:
  - name: task
    description: >-
      Task management endpoints for creating, listing, and managing tasks and
      their messages
  - name: secret
    description: Secret management endpoints for storing and retrieving encrypted secrets
  - name: encryption
    description: >-
      Encryption key management endpoints for envelope keys, data encryption
      keys, and aliases
  - name: bridge
    description: >-
      Bridge endpoints for managing providers, credentials, functions, and MCP
      protocol communication
  - name: _internal
    description: >-
      Internal endpoints for health checks, runtime configuration, and SDK code
      generation
  - name: a2a
    description: >-
      Agent-to-agent communication endpoints for agent cards, definitions, and
      JSON-RPC requests
  - name: v1
    description: API version v1 endpoints
paths:
  /api/bridge/v1/provider/{provider_instance_id}:
    delete:
      tags:
        - bridge
        - v1
      summary: Delete provider
      description: Delete a provider instance by its unique identifier
      operationId: delete-provider-instance
      parameters:
        - name: provider_instance_id
          in: path
          description: Provider instance ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Delete provider instance
          content:
            application/json:
              schema:
                default: null
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - message
      properties:
        data: {}
        message:
          type: string

````